# SimpleRowSource

This interface is for classes that create rows on demand. It is used together with SimpleResultSet to create a dynamic result set.

Methods
void | close() Close the row source.
void | close() Close the row source.
Object[] | readRow() Get the next row.
Object[] | readRow() throws SQLException Get the next row. Must return null if no more rows are available. Returns: the row or null
void | reset() Reset the position (before the first row).
void | reset() throws SQLException Reset the position (before the first row). Throws: SQLException - if this operation is not supported